<?php
/**
 * Scist Divi Child Theme
 * Functions.php
 *
 * ===== NOTES ==================================================================
 * 
 * Unlike style.css, the functions.php of a child theme does not override its 
 * counterpart from the parent. Instead, it is loaded in addition to the parent's 
 * functions.php. (Specifically, it is loaded right before the parent's file.)
 * 
 * In that way, the functions.php of a child theme provides a smart, trouble-free 
 * method of modifying the functionality of a parent theme. 
 * 
 * Discover Divi Child Themes: https://diviawesome.com/divi-child-themes/
 * 
 * =============================================================================== */
 
add_action( 'wp_enqueue_scripts', 'divi_awesome_child_theme', 20 );
function divi_awesome_child_theme() {
    wp_enqueue_style( 'parent-theme', get_template_directory_uri() . '/style.css', array(), et_get_theme_version() );
    wp_dequeue_style( 'divi-style' );
    wp_enqueue_style( 'child-theme', get_stylesheet_uri(), array(), filemtime( get_stylesheet_directory() . '/style.css' ) );
	wp_enqueue_style( 'home-style', get_stylesheet_directory_uri() . '/Styles/home.css', array(), et_get_theme_version());
wp_enqueue_style( 'contact-style', get_stylesheet_directory_uri() . '/Styles/contact.css', array(), et_get_theme_version());
	wp_enqueue_style( 'blog-style', get_stylesheet_directory_uri() . '/Styles/blog.css', array(), et_get_theme_version());
	wp_enqueue_style( 'pricingprograms-style', get_stylesheet_directory_uri() . '/Styles/pricingprograms.css', array(), et_get_theme_version());
	wp_enqueue_style( 'woocommerce-style', get_stylesheet_directory_uri() . '/Styles/woocommerce.css', array(), et_get_theme_version());


 }
